Package be.ehealth.technicalconnector.config.impl

# Class ConfigurationWithSessionCache

java.lang.Object
be.ehealth.technicalconnector.config.impl.AbstractConfigurationImpl
be.ehealth.technicalconnector.config.impl.ConfigurationWithSessionCache

All Implemented Interfaces:
  `Configuration`, `SessionServiceWithCache`

public class ConfigurationWithSessionCache extends AbstractConfigurationImpl implements SessionServiceWithCache

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationWithSessionCache(Configuration configuration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `flushCache()`
  Method to flush the cache after invoking this method.
  `Configuration`
  `getCurrentConfig()`
  `String`
  `getProperty(String key, String defaultValue)`
  Gets the property by Key.
  `boolean`
  `hasProperty(String key)`
  Checks for property.
  `void`
  `invalidate()`
  Method to invalidate all the cached configuration.
  `boolean`
  `isReloading()`
  `void`
  `reload()`
  Method to reload the configuration modules.
  `void`
  `setProperty(String key, String value)`
  Method to override a property at runtime.

  ### Methods inherited from class be.ehealth.technicalconnector.config.impl.AbstractConfigurationImpl

  `containsKey, getBooleanProperty, getDurationProperty, getIntegerProperty, getLongProperty, getMatchingProperties, getProperty, getURLProperty, hasDurationProperty, hasMatchingProperty, hasMatchingProperty`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationWithSessionCache

    public ConfigurationWithSessionCache(Configuration configuration)

- ## Method Details

  - ### getProperty

    public String getProperty(String key, String defaultValue)
    Description copied from interface: `Configuration`
    Gets the property by Key.
    Specified by:
      `getProperty` in interface `Configuration`
    Parameters:
      `key` - the key
      `defaultValue` - the default value
    Returns:
      the property

  - ### setProperty

    public void setProperty(String key, String value)
    Description copied from interface: `Configuration`
    Method to override a property at runtime.
    Specified by:
      `setProperty` in interface `Configuration`
    Parameters:
      `key` - the key
      `value` - the value

  - ### hasProperty

    public boolean hasProperty(String key)
    Description copied from interface: `Configuration`
    Checks for property.
    Specified by:
      `hasProperty` in interface `Configuration`
    Parameters:
      `key` - the key
    Returns:
      true, if successful

  - ### getCurrentConfig

    public Configuration getCurrentConfig() throws TechnicalConnectorException
    Specified by:
      `getCurrentConfig` in interface `Configuration`
    Returns:
      the currenct configuration;
    Throws:
      `TechnicalConnectorException`

  - ### invalidate

    public void invalidate() throws TechnicalConnectorException
    Description copied from interface: `Configuration`
    Method to invalidate all the cached configuration.
    Specified by:
      `invalidate` in interface `Configuration`
    Throws:
      `TechnicalConnectorException`

  - ### reload

    public void reload() throws TechnicalConnectorException
    Description copied from interface: `Configuration`
    Method to reload the configuration modules.

    This method must be called when you change properties at runtime that are used by configuration modules.

    Specified by:
      `reload` in interface `Configuration`
    Throws:
      `TechnicalConnectorException`

  - ### isReloading

    public boolean isReloading()
    Specified by:
      `isReloading` in interface `Configuration`

  - ### flushCache

    public void flushCache()
    Description copied from interface: `SessionServiceWithCache`
    Method to flush the cache after invoking this method.
    Specified by:
      `flushCache` in interface `SessionServiceWithCache`